PLPSTY(3)

NAME
plpsty - Select area fill pattern

SYNOPSIS
plpsty(patt)

DESCRIPTION

If patt is zero or less use either a hardware solid fill if the drivers have that capability (virtually all do) or fall back to a software emulation of a solid fill using the eighth area line fill pattern. If 0 < patt <= 8, then select one of eight predefined area line fill patterns to use (see plpat(3) if you desire other patterns).

Redacted form: plpsty(patt)

This function is used in examples 12, 13, 15, 16, and 25.

ARGUMENTS

patt (PLINT(3), input)
    The desired pattern index. If patt is zero or less, then a solid fill is (normally, see qualifiers above) used. For patt in the range from 1 to 8 and assuming the driver has not supplied line fill capability itself (most deliberately do not so that line fill patterns look identical for those drivers), the patterns consist of (1) horizontal lines, (2) vertical lines, (3) lines at 45 degrees, (4) lines at -45 degrees, (5) lines at 30 degrees, (6) lines at -30 degrees, (7) both vertical and horizontal lines, and (8) lines at both 45 degrees and -45 degrees.

AUTHORS
Many developers (who are credited at http://plplot.org/credits.php) have contributed to PLplot over its long history.

SEE ALSO
PLplot documentation at http://plplot.org/documentation.php.